Reports.GetNewCustomers
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Reports/NewCustomers/{strOpenDateStart}/{strOpenDateEnd}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
strOpenDateStart |
string |
Yes |
Route segment. |
strOpenDateEnd |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<CustomerReportDataDto>
| Field |
Type |
Max Length |
Notes |
openDate |
DateTime |
|
|
customerCode |
string |
|
|
customerName |
string |
|
|
customerTypeCode |
int |
|
|
customerType |
string |
|
|
customerGroup |
string |
|
|
address1 |
string |
|
|
address2 |
string |
|
|
city |
string |
|
|
state |
string |
|
|
zip |
string |
|
|
email |
string |
|
|
phone |
string |
|
|
Response Sample
[
{
"openDate": "2026-05-07T00:00:00",
"customerCode": "ABC001",
"customerName": "ABC Legal Services",
"customerTypeCode": 123,
"customerType": "Standard",
"customerGroup": "Civil Litigation",
"address1": "123 Main St",
"address2": "123 Main St",
"city": "Los Angeles",
"state": "CA",
"zip": "90012",
"email": "jane.attorney@example.com",
"phone": "2135550100"
}
]